% Create a tcpip object.
obj1 = instrfind('Type', 'tcpip', 'RemoteHost', '192.168.1.188', 'RemotePort', 18, 'Tag', '');

% Create the tcpip object if it does not exist
% otherwise use the object that was found.
if isempty(obj1)
    obj1 = tcpip('192.168.1.188', 18);
else
    fclose(obj1);
    obj1 = obj1(1);
end

% Connect to instrument object, obj1.
fopen(obj1);

% Communicating with instrument object, obj1.
data1 = query(obj1, '*IDN?')

% Close connection.
fclose(obj1);
